ru.bitel.bgbilling.modules.vepay.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.vepay.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ParameterMap` | `defaultAutopaymentSetup`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
    `static java.lang.String` | `KEY_VEPAY_AUTOPAYMENT_URL_GATE`
    `static java.lang.String` | `KEY_VEPAY_CALLBACK_FIELDS`
    `static java.lang.String` | `KEY_VEPAY_CALLBACK_KEY`
    `static java.lang.String` | `KEY_VEPAY_COMMENT`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_ENABLE`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_LINEATTR`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_NAME`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_PAYATTR`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_QTY`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_TAXMODE`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_RECEIPT_VAT`
    `static java.lang.String` | `KEY_VEPAY_FISCALIZATION_URL_GATE`
    `static java.lang.String` | `KEY_VEPAY_KEY`
    `static java.lang.String` | `KEY_VEPAY_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_VEPAY_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_VEPAY_REQUEST_READ_TIMEOUT`
    `static java.lang.String` | `KEY_VEPAY_REQUEST_TIMEOUT`
    `static java.lang.String` | `KEY_VEPAY_SUM_MAX`
    `static java.lang.String` | `KEY_VEPAY_SUM_MIN`
    `static java.lang.String` | `KEY_VEPAY_TIMEOUT`
    `static java.lang.String` | `KEY_VEPAY_URL_CANCEL`
    `static java.lang.String` | `KEY_VEPAY_URL_FAIL`
    `static java.lang.String` | `KEY_VEPAY_URL_GATE`
    `static java.lang.String` | `KEY_VEPAY_URL_SUCCESS`
    `static java.lang.String` | `KEY_VEPAY_X_LOGIN`
    `static java.lang.String` | `REQUEST_PARAM_EXT_ID`
    `static java.lang.String` | `REQUEST_PARAM_ID`
    `static java.lang.String` | `REQUEST_PARAM_KEY`
    `static java.lang.String` | `REQUEST_PARAM_STATUS`
    `static java.lang.String` | `REQUEST_PARAM_SUM`
    `static java.lang.String` | `VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
    `static int` | `VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
    `static java.lang.String` | `VEPAY_AUTOPAYMENT_URL_GATE`
    `static java.lang.String` | `VEPAY_COMMENT`
    `static int` | `VEPAY_FISCALIZATION_RECEIPT_LINEATTR`
    `static java.lang.String` | `VEPAY_FISCALIZATION_RECEIPT_NAME`
    `static int` | `VEPAY_FISCALIZATION_RECEIPT_PAYATTR`
    `static int` | `VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND`
    `static int` | `VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE`
    `static java.lang.String` | `VEPAY_FISCALIZATION_URL_GATE`
    `static java.lang.String` | `VEPAY_PAYMENT_COMMENT`
    `static int` | `VEPAY_REQUEST_READ_TIMEOUT`
    `static int` | `VEPAY_REQUEST_TIMEOUT`
    `static int` | `VEPAY_SUM_MAX`
    `static int` | `VEPAY_SUM_MIN`
    `static int` | `VEPAY_TIMEOUT`
    `static java.lang.String` | `VEPAY_URL_GATE`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VEPAY_REQUEST_TIMEOUT

          public static final int VEPAY_REQUEST_TIMEOUT

      See Also:
        Constant Field Values

    - #### VEPAY_REQUEST_READ_TIMEOUT

          public static final int VEPAY_REQUEST_READ_TIMEOUT

      See Also:
        Constant Field Values

    - #### VEPAY_SUM_MIN

          public static final int VEPAY_SUM_MIN

      See Also:
        Constant Field Values

    - #### VEPAY_SUM_MAX

          public static final int VEPAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_TIMEOUT

          public static final int VEPAY_TIMEOUT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

          public static final int VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

          public static final int VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

          public static final int VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

          public static final int VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

          public static final int VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_RECEIPT_PAYATTR

          public static final int VEPAY_FISCALIZATION_RECEIPT_PAYATTR

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_RECEIPT_LINEATTR

          public static final int VEPAY_FISCALIZATION_RECEIPT_LINEATTR

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND

          public static final int VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

          public static final int VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

      See Also:
        Constant Field Values

    - #### VEPAY_URL_GATE

          public static final java.lang.String VEPAY_URL_GATE

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_URL_GATE

          public static final java.lang.String VEPAY_FISCALIZATION_URL_GATE

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_URL_GATE

          public static final java.lang.String VEPAY_AUTOPAYMENT_URL_GATE

      See Also:
        Constant Field Values

    - #### VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE

          public static final java.lang.String VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE

      See Also:
        Constant Field Values

    - #### VEPAY_COMMENT

          public static final java.lang.String VEPAY_COMMENT

      See Also:
        Constant Field Values

    - #### VEPAY_PAYMENT_COMMENT

          public static final java.lang.String VEPAY_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### VEPAY_FISCALIZATION_RECEIPT_NAME

          public static final java.lang.String VEPAY_FISCALIZATION_RECEIPT_NAME

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_ID

          public static final java.lang.String REQUEST_PARAM_ID

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_KEY

          public static final java.lang.String REQUEST_PARAM_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_SUM

          public static final java.lang.String REQUEST_PARAM_SUM

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_EXT_ID

          public static final java.lang.String REQUEST_PARAM_EXT_ID

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_STATUS

          public static final java.lang.String REQUEST_PARAM_STATUS

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_SUM_MIN

          public static final java.lang.String KEY_VEPAY_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_SUM_MAX

          public static final java.lang.String KEY_VEPAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_COMMENT

          public static final java.lang.String KEY_VEPAY_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_X_LOGIN

          public static final java.lang.String KEY_VEPAY_X_LOGIN

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_KEY

          public static final java.lang.String KEY_VEPAY_KEY

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_CALLBACK_KEY

          public static final java.lang.String KEY_VEPAY_CALLBACK_KEY

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_TIMEOUT

          public static final java.lang.String KEY_VEPAY_TIMEOUT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_URL_GATE

          public static final java.lang.String KEY_VEPAY_URL_GATE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_URL_SUCCESS

          public static final java.lang.String KEY_VEPAY_URL_SUCCESS

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_URL_FAIL

          public static final java.lang.String KEY_VEPAY_URL_FAIL

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_URL_CANCEL

          public static final java.lang.String KEY_VEPAY_URL_CANCEL

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_CALLBACK_FIELDS

          public static final java.lang.String KEY_VEPAY_CALLBACK_FIELDS

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_VEPAY_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_PAYMENT_COMMENT

          public static final java.lang.String KEY_VEPAY_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_REQUEST_TIMEOUT

          public static final java.lang.String KEY_VEPAY_REQUEST_TIMEOUT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_REQUEST_READ_TIMEOUT

          public static final java.lang.String KEY_VEPAY_REQUEST_READ_TIMEOUT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_ENABLE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_URL_GATE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_URL_GATE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_FISCALIZATION_URL_GATE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_ENABLE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_ENABLE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_ENABLE

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

          public static final java.lang.String KEY_VEPAY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_ENABLE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_URL_GATE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_URL_GATE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_NAME

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_NAME

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_QTY

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_QTY

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_VAT

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_VAT

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_TAXMODE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_TAXMODE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_PAYATTR

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_PAYATTR

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_LINEATTR

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_LINEATTR

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_KIND

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

      See Also:
        Constant Field Values

    - #### KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

          public static final java.lang.String KEY_VEPAY_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

      See Also:
        Constant Field Values

    - #### defaultAutopaymentSetup

          public static final ParameterMap defaultAutopaymentSetup

      See Also:
        `ContractAutopaymentServiceImpl.contractAutopaymentModeList(int)`

  - ### Constructor Detail

    - #### Constants

          public Constants()